{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.TEST"
  },
  "caption" : "导航日历",
  "codeName" : "TESTUsr10095692CalendarView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTUsr10095692CalendarView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "TESTUsr10095692CalendarView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSControls" : [ {
    "calendarStyle" : "MONTH",
    "codeName" : "Nav_rili",
    "controlType" : "CALENDAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSCALENDARS/Nav_rili.json",
    "groupMode" : "NONE",
    "legendPos" : "TOP",
    "logicName" : "日历导航",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "calendar"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "CALENDAR"
    },
    "getPSSysCalendarItems" : [ {
      "getBeginTimePSAppDEField" : {
        "name" : "CREATEDATE",
        "codeName" : "CreateDate"
      },
      "getEndTimePSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "getIdPSAppDEField" : {
        "name" : "BOOKID",
        "codeName" : "BookId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "book",
      "maxSize" : -1,
      "name" : "图书",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/bookSimpleEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Book.json"
      },
      "getTextPSAppDEField" : {
        "name" : "BOOKNAME",
        "codeName" : "BookName"
      },
      "enableQuickCreate" : false,
      "id" : "book"
    }, {
      "getBeginTimePSAppDEField" : {
        "name" : "START",
        "codeName" : "Start"
      },
      "getEndTimePSAppDEField" : {
        "name" : "END",
        "codeName" : "End"
      },
      "getIdPSAppDEField" : {
        "name" : "STUDENTID",
        "codeName" : "StudentId"
      },
      "itemStyle" : "DEFAULT",
      "itemType" : "student",
      "maxSize" : -1,
      "name" : "学生",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/studentEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Student.json"
      },
      "getTextPSAppDEField" : {
        "name" : "STUDENTNAME",
        "codeName" : "StudentName"
      },
      "enableQuickCreate" : false,
      "id" : "student"
    } ],
    "enableGroup" : false,
    "name" : "calendar",
    "modelid" : "FC969E3A-9E73-4DF7-BC58-A172D0EA3EBE",
    "modeltype" : "PSSYSCALENDAR"
  }, {
    "controlType" : "SEARCHBAR",
    "name" : "searchbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "searchbar"
    },
    "quickGroupCount" : -1,
    "quickSearchMode" : 0,
    "quickSearchWidth" : 0,
    "enableFilter" : false,
    "enableGroup" : false,
    "enableQuickSearch" : false,
    "mobileSearchBar" : false
  }, {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DE.LNAME.TEST"
    },
    "caption" : "导航日历",
    "codeName" : "Usr10095692CalendarViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "Usr10095692CalendarView",
  "getPSDEViewId" : "EEC3ECDB-9811-44A0-8900-33AC6D8A4A3B",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDECALENDARVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "导航日历",
  "viewStyle" : "DEFAULT",
  "viewType" : "DECALENDARVIEW",
  "xDataControlName" : "calendar",
  "enableDP" : true,
  "enableFilter" : true,
  "enableSearch" : true,
  "modelid" : "37ff3d9e9d27c61b5a1c8da62d4304c8",
  "modeltype" : "PSAPPDEVIEW"
}